From 2f8d7df88680a633a6fe5b0fa2bf5dd0392b5888 Mon Sep 17 00:00:00 2001
From: Ricardo Lafuente <r@manufacturaindependente.org>
Date: Jan 22 2024 15:39:02 +0000
Subject: [PATCH 5/17] Don't download en source files


---

diff --git a/website/i18n/download.sh b/website/i18n/download.sh
index e28ff80..543bd70 100755
--- a/website/i18n/download.sh
+++ b/website/i18n/download.sh
@@ -3,7 +3,7 @@
 # Updates the local translation files with the most recent Weblate versions.
 #
 
-for lang in `ls -d */ | sed 's/\///'`; do
+for lang in `ls -d */ | sed 's/\///' | grep -v '^en$'`; do
   echo $lang
   wlc download jshelter/website/$lang >| $lang/pages.po
   wlc download jshelter/website-posts/$lang >| $lang/posts.po
diff --git a/website/i18n/translate_content.sh b/website/i18n/translate_content.sh
index 2a5aba2..4033099 100755
--- a/website/i18n/translate_content.sh
+++ b/website/i18n/translate_content.sh
@@ -7,6 +7,7 @@ for lang in `ls -d */ | sed 's/\///' | grep -v '^en$'`; do
     mkdir -p ../content/$section/$lang # /content/pages/pt
     echo "Translating $section for language $lang..."
     for f in `ls ../content/$section/*.md`; do
+       # echo $f
        po2md $f -p $lang/$section.po >| ${f/$section/$section\/$lang}
     done
   done

